#ifndef _IVECTOR3_HPP_
#define _IVECTOR3_HPP_

/*** SDL Header Files ***/
#include <SDL.h>   

/*** DLL Header File ***/
#include "dllExport.h"

/*** Custom Header File ***/
#include "iVector2.hpp"

namespace MathEngine {
	struct Vector3;

	struct EXPORT_FROM_MYDLL iVector3 : public iVector2
	{
		iVector3( const int X = 0, const int Y = 0, const int Z = 0);

		iVector3( const iVector2& copy );

		iVector3( const SDL_Rect& copy );

		iVector3& operator=( const SDL_Rect& copy );

		bool operator==( const SDL_Rect& other ) const;

		iVector3( const Vector3& copy );

		iVector3& operator=( const Vector3& copy );

		bool operator==( const iVector3& other ) const;

		int z;
	};/// END STRUCT DEFINITION iVector3
}/// END NAMESPACE DEFINITION MathEngine
#endif/// END IFNDEF _IVECTOR3_HPP_